# $Id: 01_simple.t,v 1.1 2006/06/07 12:27:04 pythontech Exp $
use strict;
use Test::More tests => 8;

use lib 't/lib';

use PythonTech::LRU;

my $l = PythonTech::LRU->new(size => 2);

$l->put(a => 1);
$l->put(b => 2);
is($l->get('a'), 1, 'simple retrieval 1');
is($l->get('b'), 2, 'simple retrieval 2');
$l->put(c => 3);
is($l->get('a'), undef, 'forgotten oldest');
is($l->get('b'), 2, 'kept newer');
is($l->get('c'), 3, 'kept newest');

$l->delete('b');
is($l->get('a'), undef, 'after delete 1');
is($l->get('b'), undef, 'after delete 2');
is($l->get('c'), 3, 'after delete 3');
